=== debian/changelog ===
ros-iron-nav2-waypoint-follower (1.2.2-2jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Steve Macenski <stevenmacenski@gmail.com>  Mon, 11 Sep 2023 03:39:20 -0000
