=== debian/control ===
Source: ros-iron-nav2-waypoint-follower
Section: misc
Priority: optional
Maintainer: Steve Macenski <stevenmacenski@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-cmake-pytest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-cv-bridge, ros-iron-image-transport, ros-iron-nav-msgs, ros-iron-nav2-common, ros-iron-nav2-core, ros-iron-nav2-msgs, ros-iron-nav2-util, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rclcpp-action, ros-iron-rclcpp-lifecycle, ros-iron-tf2-ros, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-nav2-waypoint-follower
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-cv-bridge, ros-iron-image-transport, ros-iron-nav-msgs, ros-iron-nav2-common, ros-iron-nav2-core, ros-iron-nav2-msgs, ros-iron-nav2-util, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rclcpp-action, ros-iron-rclcpp-lifecycle, ros-iron-tf2-ros, ros-iron-ros-workspace
Description: A waypoint follower navigation server
